Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156022 - openoffice.org does not rebuild if enable_java is set to 1
Summary: openoffice.org does not rebuild if enable_java is set to 1
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openoffice.org
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Caolan McNamara
QA Contact:
URL: N/A
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-26 18:13 UTC by rob
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-27 07:05:59 UTC


Attachments (Terms of Use)
patch for openoffice.org java build (deleted)
2005-04-26 18:14 UTC, rob
no flags Details | Diff

Description rob 2005-04-26 18:13:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050322 Firefox/1.0.2 Red Hat/1.0.2-1.4.1

Description of problem:
i am rebuilding the RHEL4 openoffice.org packages with java support.

i have found that even if i %define enable_java 1 in the openoffice.org-1.1.2-24.6.0.EL4 spec and rebuild that does not rebuild properly.  there is an error building berkeley db.  am i doing something wrong?

i am using java-1.4.2-sun from jpackage.

it would be nice if all that was needed to rebuild openoffice with java support was a redefine, a recompile, and lots of patience.

ugly patch attached.  beauty hints requested.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.2-24.6.0.EL4 as well as openoffice.org-1.1.2-18.6.EL4

How reproducible:
Always

Steps to Reproduce:
1. try and build openoffice with java support

Additional info:

Comment 1 rob 2005-04-26 18:14:49 UTC
Created attachment 113679 [details]
patch for openoffice.org java build

Comment 2 Caolan McNamara 2005-04-27 07:05:59 UTC
Building with java from .spec is just not supported, so it's not going to be
done back to a 1.1.2. For 2.0 in FC4 we are currently building the java portions
of OOO with gcj, which is the route we're generally taking for java requirements.


Note You need to log in before you can comment on or make changes to this bug.